<script setup lang="ts">
  import { defineProps, defineEmits } from 'vue'
  import VIcon from '@/components/app/VIcon.vue'

  defineProps({
    currencies: {
      type: Array,
      default: []
    },
    activeCurrency: {
      type: String,
      default: ''
    },
    active: {
      type: Boolean,
      default: false
    },
    dropdownType: {
      type: String,
      required: true
    }
  })
  const emit = defineEmits(['openDropdownList', 'selectCurrency'])

  const openDropdownList = () => {
    emit('openDropdownList')
  }
</script>

<template>
  <div class="text-xs cursor-pointer w-fit relative" @click.stop="openDropdownList">
    <div class="flex items-center uppercase">
      {{ activeCurrency }}
      <v-icon name="dropdownArrow" />
    </div>
    <div
      class="flex flex-col absolute l-0 b-0 bg-gray-100 max-h-[120px] z-10 overflow-auto overflow-x-hidden w-[60px] rounded border text-center"
      :class="{ hidden: !active }"
    >
      <div
        v-for="(currency, index) in currencies"
        :key="index"
        :class="{ 'bg-blue-200': index % 2 != 0 }"
        class="h-[20px] uppercase px-2"
        @click="$emit('selectCurrency', currency, dropdownType)"
      >
        {{ currency }}
      </div>
    </div>
  </div>
</template>

<style scoped></style>
